import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { IntFilterObjectSchema as IntFilterObjectSchema } from './IntFilter.schema';
import { StringFilterObjectSchema as StringFilterObjectSchema } from './StringFilter.schema';
import { BoolFilterObjectSchema as BoolFilterObjectSchema } from './BoolFilter.schema';
import { UserScalarRelationFilterObjectSchema as UserScalarRelationFilterObjectSchema } from './UserScalarRelationFilter.schema';
import { UserWhereInputObjectSchema as UserWhereInputObjectSchema } from './UserWhereInput.schema'

const aisettingswhereinputSchema = z.object({
  AND: z.union([z.lazy(() => AiSettingsWhereInputObjectSchema), z.lazy(() => AiSettingsWhereInputObjectSchema).array()]).optional(),
  OR: z.lazy(() => AiSettingsWhereInputObjectSchema).array().optional(),
  NOT: z.union([z.lazy(() => AiSettingsWhereInputObjectSchema), z.lazy(() => AiSettingsWhereInputObjectSchema).array()]).optional(),
  id: z.union([z.lazy(() => IntFilterObjectSchema), z.number().int()]).optional(),
  userId: z.union([z.lazy(() => IntFilterObjectSchema), z.number().int()]).optional(),
  apiKey: z.union([z.lazy(() => StringFilterObjectSchema), z.string()]).optional(),
  aiEnabled: z.union([z.lazy(() => BoolFilterObjectSchema), z.boolean()]).optional(),
  openAiKey: z.union([z.lazy(() => StringFilterObjectSchema), z.string()]).optional(),
  openAiEnabled: z.union([z.lazy(() => BoolFilterObjectSchema), z.boolean()]).optional(),
  claudeAiKey: z.union([z.lazy(() => StringFilterObjectSchema), z.string()]).optional(),
  claudeAiEnabled: z.union([z.lazy(() => BoolFilterObjectSchema), z.boolean()]).optional(),
  claudeAiModel: z.union([z.lazy(() => StringFilterObjectSchema), z.string()]).optional(),
  openAiModel: z.union([z.lazy(() => StringFilterObjectSchema), z.string()]).optional(),
  googleAiModel: z.union([z.lazy(() => StringFilterObjectSchema), z.string()]).optional(),
  dentalMgmtKey: z.union([z.lazy(() => StringFilterObjectSchema), z.string()]).optional(),
  dentalMgmtEnabled: z.union([z.lazy(() => BoolFilterObjectSchema), z.boolean()]).optional(),
  afterHoursEnabled: z.union([z.lazy(() => BoolFilterObjectSchema), z.boolean()]).optional(),
  openPhoneReply: z.union([z.lazy(() => BoolFilterObjectSchema), z.boolean()]).optional(),
  user: z.union([z.lazy(() => UserScalarRelationFilterObjectSchema), z.lazy(() => UserWhereInputObjectSchema)]).optional()
}).strict();
export const AiSettingsWhereInputObjectSchema: z.ZodType<Prisma.AiSettingsWhereInput> = aisettingswhereinputSchema as unknown as z.ZodType<Prisma.AiSettingsWhereInput>;
export const AiSettingsWhereInputObjectZodSchema = aisettingswhereinputSchema;
